Dismiss an inbox item
curl --request POST \
--url https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feedbackText": "<string>"
}
'import requests
url = "https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss"
payload = { "feedbackText": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({feedbackText: '<string>'})
};
fetch('https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'feedbackText' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss"
payload := strings.NewReader("{\n \"feedbackText\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"feedbackText\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feedbackText\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"matchableId": "<string>",
"matchableType": "Opp",
"state": "unread",
"origins": [
{
"sourceType": "govly_ai",
"savedSearchId": "<string>",
"savedSearchName": "<string>"
}
],
"feedback": "followed",
"feedbackReason": "bad_fit",
"title": "<string>",
"description": "<string>",
"fitReason": "<string>",
"fitScore": 123,
"sourceType": "govly_ai",
"identifier": "<string>",
"recordType": "<string>",
"deadlineAt": "2023-11-07T05:31:56Z",
"postedOrAwardedDate": "2023-12-25",
"publicEntityNames": [
"<string>"
],
"isoCode": "<string>",
"naicsCodes": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"highlight": {}
}
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Inbox
Dismiss an inbox item
Dismiss the item with an optional written explanation retained for future analysis. Written feedback does not currently change matching and is not returned in API responses. Restoring the item withdraws its written feedback.
POST
/
api
/
tools
/
v1
/
inbox_items
/
{id}
/
dismiss
Dismiss an inbox item
curl --request POST \
--url https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feedbackText": "<string>"
}
'import requests
url = "https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss"
payload = { "feedbackText": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({feedbackText: '<string>'})
};
fetch('https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'feedbackText' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss"
payload := strings.NewReader("{\n \"feedbackText\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"feedbackText\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.govly.com/api/tools/v1/inbox_items/{id}/dismiss")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feedbackText\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"matchableId": "<string>",
"matchableType": "Opp",
"state": "unread",
"origins": [
{
"sourceType": "govly_ai",
"savedSearchId": "<string>",
"savedSearchName": "<string>"
}
],
"feedback": "followed",
"feedbackReason": "bad_fit",
"title": "<string>",
"description": "<string>",
"fitReason": "<string>",
"fitScore": 123,
"sourceType": "govly_ai",
"identifier": "<string>",
"recordType": "<string>",
"deadlineAt": "2023-11-07T05:31:56Z",
"postedOrAwardedDate": "2023-12-25",
"publicEntityNames": [
"<string>"
],
"isoCode": "<string>",
"naicsCodes": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"highlight": {}
}
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Authorizations
bearerApiKeyheaderApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Optional written explanation, limited to 2,000 characters after trimming surrounding whitespace. Blank text is ignored.
Response
Dismissed inbox item
Show child attributes
Show child attributes
Was this page helpful?